Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesTypePackagesType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesTypePackagesType.TypePackageGetTextType`, `CADatabaseQueriesTypePackagesType.TypePackageInstallType`, `CADatabaseQueriesTypePackagesType.TypePackageSatisfyingType`, `CADatabaseQueriesTypePackagesType.TypePackageSearchType`, `CADatabaseQueriesTypePackagesType.TypePackageSetVersionType`, `CADatabaseQueriesTypePackagesType.TypePackageUninstallType`

All Known Implementing Classes:
  `CADBQTypePackageGetText`, `CADBQTypePackageInstall`, `CADBQTypePackageSatisfying`, `CADBQTypePackageSearch`, `CADBQTypePackageSetVersion`, `CADBQTypePackageUninstall`

public sealed interface CADatabaseQueriesTypePackagesType extends CADatabaseQueriesType permits CADatabaseQueriesTypePackagesType.TypePackageSatisfyingType, CADatabaseQueriesTypePackagesType.TypePackageInstallType, CADatabaseQueriesTypePackagesType.TypePackageSetVersionType, CADatabaseQueriesTypePackagesType.TypePackageUninstallType, CADatabaseQueriesTypePackagesType.TypePackageGetTextType, CADatabaseQueriesTypePackagesType.TypePackageSearchType
Model database queries (Type packages).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageGetTextType`
  Get the text of a type package.
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageInstallType`
  Install a type package.
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageSatisfyingType`
  Find a package satisfying the given name and version range.
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageSearchType`
  Start searching for type packages.
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageSetVersionType`
  Set the version of a type package.
  `static interface`
  `CADatabaseQueriesTypePackagesType.TypePackageUninstallType`
  Uninstall a type package.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`